Pular para o conteúdo principal
Create a Wallet
curl --request POST \
  --url https://api.spherepay.co/v2/wallet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "customer_66c4168d418a410eae282b83883bdc39",
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "network": "sol"
}
'
{
  "id": "wallet_ce745ef7f3df4b9a8bff1301ce24b045",
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "network": "sol",
  "customerId": "customer_66c4168d418a410eae282b83883bdc39",
  "created": "2025-01-01T00:00:00.000Z",
  "updated": "2025-01-01T00:00:00.000Z"
}
Use este endpoint para registrar o endereço de carteira (wallet) blockchain existente de um cliente no SpherePay. O SpherePay não cria nem custodia carteiras — ele vincula um endereço que seu cliente já possui ao perfil do SpherePay para que transferências possam ser roteadas para ou desse endereço. Você deve registrar pelo menos uma carteira antes de criar uma transferência que envolva cripto. O endereço de carteira já deve existir na rede alvo antes do registro.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
customerId
string
obrigatório

The unique identifier of the customer who owns this wallet.

Minimum string length: 1
Exemplo:

"customer_66c4168d418a410eae282b83883bdc39"

address
string
obrigatório

The wallet address on the specified network. Must be a valid address format for the network.

Minimum string length: 1
Exemplo:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

network
enum<string>
obrigatório

The blockchain network for this wallet. Must be a supported crypto network.

Opções disponíveis:
arbitrum,
avalanche,
base,
ethereum,
optimism,
polygon,
sol,
tron
Exemplo:

"sol"

Resposta

id
string
obrigatório

The unique identifier of the wallet.

Exemplo:

"wallet_ce745ef7f3df4b9a8bff1301ce24b045"

address
string
obrigatório

The wallet address on the specified network.

Exemplo:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

network
enum<string>
obrigatório

The blockchain network for this wallet.

Opções disponíveis:
sol,
fogo,
ethereum,
optimism,
arbitrum,
polygon,
base,
avalanche,
sui,
noble,
sei,
tron,
starknet,
aptos,
hyperliquid
Exemplo:

"sol"

customerId
string
obrigatório

The unique identifier of the customer who owns this wallet.

Exemplo:

"customer_66c4168d418a410eae282b83883bdc39"

created
string
obrigatório

The ISO 8601 timestamp when the wallet was created.

Exemplo:

"2025-01-01T00:00:00.000Z"

updated
string
obrigatório

The ISO 8601 timestamp when the wallet was last updated.

Exemplo:

"2025-01-01T00:00:00.000Z"

Última modificação em 18 de junho de 2026